package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag202common;

import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT202Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT202Creator mt202Creator;

    public Tag21Creator(MT202Creator absMTCreator) {
        super(absMTCreator);
        this.mt202Creator = (MT202Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = mt202Creator.getRelatedReference();
        mt202Creator.set("21",tag21Value);
    }
}
